Package com.complexible.common.dataexporter

# Class MergedColumn

java.lang.Object
com.brsanthu.dataexporter.model.Column
com.complexible.common.dataexporter.FormattedColumn
com.complexible.common.dataexporter.MergedColumn

public class MergedColumn extends FormattedColumn
A column that spans multiple columns. The title of the merged column appear at the top of the regular header row.

Author:
  Evren Sirin

- ## Field Summary

  ### Fields inherited from class com.brsanthu.dataexporter.model.Column

  `aligner, headerCellCssClass, headerCellCssId, headerCellCssStyle, rowCellCssClass, rowCellCssId, rowCellCssStyle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergedColumn(String name, Iterable<com.brsanthu.dataexporter.model.Column> columns)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `adjustWidth()`
  Adjusts the width of the merged column to be as wide as the columns it spans.
  `com.google.common.collect.ImmutableList<com.brsanthu.dataexporter.model.Column>`
  `getColumns()`

  ### Methods inherited from class com.complexible.common.dataexporter.FormattedColumn

  `format, getMaxRowHeight`

  ### Methods inherited from class com.brsanthu.dataexporter.model.Column

  `align, align, align, align, getAlign, getCellValueGenerator, getHeaderCellCssClass, getHeaderCellCssId, getHeaderCellCssStyle, getMaxRowHeight, getMaxRowHeight, getName, getRowCellCssClass, getRowCellCssId, getRowCellCssStyle, getTitle, getTitle2, getTitle3, getWidth, isGeneratesOwnData, isNillable, setAlign, setCellValueGenerator, setGeneratesOwnData, setHeaderCellCssClass, setHeaderCellCssId, setHeaderCellCssStyle, setName, setNillable, setRowCellCssClass, setRowCellCssId, setRowCellCssStyle, setTitle, setTitle2, setTitle3, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MergedColumn

    public MergedColumn(String name, Iterable<com.brsanthu.dataexporter.model.Column> columns)

- ## Method Details

  - ### getColumns

    public com.google.common.collect.ImmutableList<com.brsanthu.dataexporter.model.Column> getColumns()

  - ### adjustWidth

    public void adjustWidth()
    Adjusts the width of the merged column to be as wide as the columns it spans. If the merged column is already wider then the merged columns will be widened.